【ひまわりの履歴】

2008/09/02 ver.1.94
・「OS」変数で、Windows Vistaを認識できるようにした。
・計算の優先順序でべき乗をかけ算・割り算よりも優先度を高くした。
・母艦の最大化、最小化で、スタイルが普通に戻ってしまうのを修正。

2007/08/20 ver.1.93
・OS命令をVistaに対応させた。

2006/08/31 ver.1.92
・「隠し起動」「隠し起動して終了まで待機」命令を追加。
・母艦のイベントが発動しなくなっていたバグを修正。

2006/08/24 ver.1.91
・文字コードの認識精度を向上させるためNKF32.DLLを使うようにした。

2005/05/31 ver.1.90
・解説のテキスト「はじめに.txt」を差し替え。
・『言う』命令のダイアログを右クリックでメッセージをコピーできるように改良。

2004/11/18 ver.1.89a
・ひまわりエディタを、なでしこのエディタとしても使えるように改良。
・ひまわりの実行行をエディタで追えるように機能追加。

2004/08/01 ver.1.89
・ブラウザ部品をUIWebBrowserに差し替えたので数々の不具合が解消。
・『ブラウザ詳細設定』命令を追加。ブラウザ部品でJavaScriptの実行や画像の表示などの切り替えが可能に。
・『ブラウザ印刷』命令を追加。
・エディタなどの部品で『フォーカス得た時』『フォーカス外れた時』のイベントを追加。

2004/07/19 ver.1.88
・相対パス指定したとき、セキュリティ警告がでない場合がある不具合を修正。
・HTMLのタグ解析関連の命令『タグ属性取得』『HTMLリンク抽出』を追加。
・HTTP関連の命令『HTTP一括取得』『HTTPデータ取得』を追加。
・文字列処理関連の命令『語句検索』『語句列挙』を追加。

2004/06/28 ver.1.87
・『部品詳細作成』『部品詳細設定』『部品詳細取得』『インデント削除』命令を追加。
・特許期間が過ぎたので画像GIFファイルの読み書きをできるようにした。
・ひまわりエディタで、ヘルプファイルがローカルにないときはWEBを参照できるように変更。
・ランタイム無しひまわりの最小サイズを、22KBで済むように最適化。
・ワイルドカードの『マッチ』命令で選択条件[=||]コマンドに不具合があったので修正。
・ひまわりの実行初期化のタイミングを調整。行頭で『母艦の、可視は、オフ』と書いても有効になるようにした。

2004/05/29 ver.1.86
・ワイルドカードの『マッチ』命令で『\』をシーケンス記号として働かない不具合を修正。
・『NTP時刻同期』命令を追加。
・『文字幅取得』『文字高取得』命令を追加。

2004/05/16 ver.1.85d3
・関数形式の呼び出しで配列変数があると内容が壊れることがある不具合を修正。
・ボタンのフォント色を変えると無効になっていたボタンが有効になることがある不具合を修正。
・『フォルダコピー』命令を追加。
・『バックアップ』命令で大量のファイルをコピーをする場合に途中経過が詳しくでるように改良。

2004/04/26 ver.1.85d2
プロセス間通信に便利な『COPYDATA送信』『COPYDATA受信処理設定』命令を追加。
ひまわりエディタからの停止・一時停止ボタンを押した時の精度を向上させた。
ひまわりエディタとエディタマクロとの通信に『COPYDATA送信』を使えるようにした。
『暗号化』『復号化』命令の結果がOSごとに変わってしまう不具合を修正。
『イメージコピー』命令にあったメモリリークを修正。
『プログレスバー』『ステータスバー』の標準のイベントを設定。

2004/04/16 ver.1.85c
『ファイル日時』『ファイルサイズ』命令を使うとひまわり終了まで検索状態のままになる不具合を修正。
『プログレスバー』『ステータスバー』部品を追加。

2004/04/06 ver.1.85b
デバッガが動かない不具合を修正。
ワイルドカード『マッチ』で『[*0-9]』形式が一文字多くマッチしてしまう不具合を修正。

2004/04/01 ver.1.85a2
Tエディタの設定がうまく保存できない不具合を修正。

2004/03/26 ver.1.85a
『エクセルワークブック閉じる』命令を追加。
『1E-6』などの指数形式がうまく数値として認識されない不具合を修正。
LZH形式での複数ファイル圧縮がうまくいかない不具合を修正。
『イメージコピー』命令でJPEG形式のイメージがコピーできない不具合を修正。
『バックアップ』命令の動作を改善。

2004/03/08 ver.1.85
『パスワード入力』命令を追加。
『待つ』命令よりもイベントを優先するように改良。
『エラー処理設定』で設定したイベント中にエラーが起きた場合はエラーダイアログを表示し処理を中止するようにした。
『圧縮』命令で大量のファイルを『LZH』形式で圧縮するとエラーが起きる不具合を修正。
その他、小さな不具合を修正。

2004/02/23 ver.1.84r/s
引数の解析処理方式を変更してもう少し柔軟な処理がこなせるようになった。

2004/02/12 ver.1.84q
『バックアップ』命令を追加。
『配列スライス』命令を追加。
フォームイベントの『開いた時』がうまく作動しなかった不具合を修正。
セキュリティレベルをLOWにしても再起動やシャットダウンで確認メッセージが出る不具合を修正。
『表条件抽出』で制御文字が置換されてしまう不具合を修正。
『ファイル名変更』『INIファイル開く』命令でセキュリティレベルのチェックを厳しくした。

2004/02/07 ver.1.84p
ひまわりの文字列を1度配列として扱うと、余計なカンマが挿入される問題で、カンマを挿入しないことにした。メール送信でポート番号がうまく設定されない不具合を修正。

2004/02/02 ver.1.84o
配列変数の計算式で文字か数値かを判断していた関数を改良。先頭でなく全ての文字を判断の対象。
『合成ファイル取り出す』命令でバイナリファイルが取り出せない不具合を修正。
配列変数からテキストへの変換で"ID"を括る処理を改良。
2004/02/01 ver.1.84n
『母艦の、閉じた時』イベントを実装。
『ダイアログ表示』命令の後、命令が正しく実行されないことがある不具合を修正。
『項目記入』命令で、タブキーによるフィールドの移動をサポート。
『メールSMTPポート』『メールPOP3ポート』変数を導入。メールの送受信でポート番号を指定できるように改良。

2004/01/26 ver.1.84m
ActiveXがインストールされているか調べる命令『CLSID存在するか』命令を追加。
MS Agentに関する命令を追加。エージェントの途中交換に対応。
アニメ部品で、ボタンとして使うとき、画像が更新されないことがある不具合を修正。

2004/01/26 ver.1.84l
BASE64化した画像ファイルデータをイメージ部品に設定する『イメージデータ設定』命令を追加。
MS Agentに関する機能追加。
画像をタイル表示する『タイル描画』命令を追加。

2004/01/23 ver.1.84k
『項目記入』でファイル名や色を選択したりIMEを制御できるようにした。
演算子『!』が正しい区切り記号として認識されないことがある不具合を修正。
MS Agentと連携できる命令を追加。音声の読み上げ、エージェントのアニメーションに対応。
CryptoAPIのラッパーを書き直し。（OSごとに動作が異なる困った症状が残る）

2004/01/11 ver.1.84j
『簡易印刷』命令でキャンセルしたときのエラーを修正。
『HTTPポスト』命令で複数行のデータもポストできるように改良。
デバッグダイアログでデータの詳細がでなくなっていた不具合を修正。

2004/01/09 ver.1.84i2
丸カッコ（）を使った式が間違って展開される構文エラーを修正。
CryptoAPIを使った本格暗号化命令『暗号化』『復号化』を追加。
『Windows終了』『Windows再起動』命令を追加。
リソースを節約するため、各種ダイアログをひまわり起動時に生成しないように改良。

2004/01/07 ver.1.84h
『窓ハンドル内座標検索』命令の仕様を変更。
座標からクリックしたりテキストを設定する命令を追加。
ひまわりエディタで変数に関するヘルプも問題なく表示されるように修正。

2004/01/03 ver.1.84g
『何文字目』命令の仕様を変更。何バイト目ではなく何文字目にあるのか返すように修正。
『何バイト目』命令を追加。
『窓ハンドル親取得』命令を追加。

2003/12/26 ver.1.84f
他のプログラムを操作するための『窓ハンドル〜』系の命令を追加。
『表完全一致ピックアップ』の不具合を修正。

2003/12/26 ver.1.84e
『MD5取得』『CRC16取得』『CRC32取得』などチェックサム命令を追加。
『ダイアログサイズ設定』命令を追加。
『項目記入』命令の外見を改良。
『ループ』の不具合を修正。
『ダイアログ表示』の動作を変更。『フォーム閉じる』『フォーム開く』命令追加。
その他の不具合を修正。

2003/12/23 ver.1.84a
『エクセル一括設定』『エクセルシートアクティブ』などエクセルを操作する７つの命令を追加。
ちょっとだけひまわり実行方式の最適化を行う。4%ほど実行速度アップ。
配列変数の読込みをキャッシュするようにしたので、配列の読込み速度が大幅にアップした。
(1.84aの不具合を修正しました。)

2003/12/15 ver.1.83
今更ながら、MAG形式(16色/256色)の画像ファイルの読み書きをサポート。
『繰り返し再生』命令で、これを連続で使うと動作が重くなる不具合を修正。
Windows 9x系で、ミニ実行ファイルで関連付け先が取得できない不具合を修正。
『存在するか』命令の返却値で値の型が更新されない不具合を修正。

2003/12/08 ver.1.82g
ブラウザ部品の新たなページをどこに表示するかを指定する『ブラウザ新規ブラウザ』変数を追加。
ブラウザ部品の『タイトル』項目、『開いた時』『変更した時』イベントを追加した。
『部品検索』命令を追加。

2003/12/08 ver.1.82f
『絶対パス展開』『URL展開』命令を追加。
『項目記入』命令を追加。
プログラムの１行目にラベルがあると、ラベルとして認識されない不具合を修正。
パネル部品でも、スタイルを設定できるように改良。

2003/11/26 ver.1.82e2
ミニ実行ファイルの基本サイズを、約半分の45KBに減らすことに成功。
もし構文で、文字列を評価したときの判定結果を修正した。「」なら偽、それ以外は真と。
ひまわりエディタの部品タブの不具合を修正し、部品の説明が表示されるように改良。
ひまわりエディタの補完で、Windows部品の設定項目も表示されるように改良。
タスクトレイを右クリックした時、母艦のポップアップメニューが表示されるようにした。
名前に@を含む部品を作成するとハングする不具合を修正。

2003/11/18 ver.1.82d
『ひまわり実行ファイル作成』命令を追加。
ひまわりエディタでGUI部品の設定項目もマニュアル表示できるようになった。
『ヒント』に設定した文字列が展開されない不具合を修正。
@@★文字列★の不具合を修正。

2003/11/17 ver.1.82c
『入れる』命令の引数を『?を,?に』に変更。『代入』も同義語として使えるようにした。
部品に『ヒント』項目を追加。
部品に『折り返し』項目を追加。
『ローカル変数』でたくさんのローカル変数を一気に宣言できるようにした。
配列変数の代入文で文字列が数値として誤って判断される不具合を修正。
不等号の判断で、文字列として（または数値として）等しいかどうか判断する演算子を追加。
文字列が等しい『=&』、文字列が等しくない『!&』
数値が等しい『==』、数値が等しくない『!=』
『ここから』『ここまで』構文がネストできなかったので修正。

2003/11/12 ver.1.82b..b3
『引数取得』の不具合を修正。
『ポップアップ』部品を追加。各部品に『ポップアップ』項目を追加。
各部品に自由な文字列を設定しておける『ポケット』項目を追加。
『待機』命令に問題があったので至急修正。

2003/11/11 ver.1.82a
文字列の指定で、@@★...★、@@|...|のような自由記号を文字列に指定できるようした。
『?に,?番目の,引数得る』命令を追加。

2003/11/11 ver.1.82
『イメージサイズ変更』命令を追加。
『引数取得』命令を、『?に,引数取得』と引数を追加。
『ここから』『ここまで』『?を,ローカル変数』命令を追加。
関数の宣言をしなくてもラベルに引数を書いて使えるようにした。
デバッグダイアログを修正。

2003/11/08 ver.1.81c
全ファイル列挙で、完全にサブフォルダ以下をチェックしきれてなかったので修正。
GUI部品の設定項目が、ハッシュと同じように変数として展開されてしまう不具合を修正。
（従来通りの裏技として「{変数}」という使い方をすれば、部品の設定項目を変数で指定できる。）
『進行度表示ダイアログ』で処理の進行度を表示するダイアログの表示非表示を切り替えられるようにした。
リストの設定項目で『複数選択』を追加。リストの、テキストで複数選択が取得できる。
『メール送信』でヘッダを少し変更。『メール送信先』が複数設定できなかったので修正。

2003/10/29 ver.1.81b
『メール送信』『メール受信』命令で『メール認証方式』変数を導入。
これにより、POP3のAPOPと、SMTPのLOGINによるメールの送信が可能になった。
イメージ等への描画命令で、塗りスタイル・ペンスタイルが有効にならない不具合を修正。
ハッシュが計算式の中で展開されない不具合を修正。

2003/10/27 ver.1.81a
エディタの検索ダイアログ改良。
『表条件抽出』の不具合を修正。
『メニューパス作成』の不具合を修正。
『半角英数変換』で半角カタカナが全角に変換されない不具合を修正。
/* */ コメントの不具合修正。

2003/10/20 ver.1.81
ＸＰのテーマを適用したとき、メモで選択の操作および、列がおかしくなる不具合を修正。
メモ/エディタ部品と連動して使える命令『元に戻す実行』『選択文字列切り取り』『選択文字列コピー』『選択文字列貼り付け』『全て選択を実行』を追加。
『メニュー追加』で、親メニューが省略できるように改良。省略すると一番最後に作った親メニューが適用される。
『塗りスタイル設定』の設定で、漢字間違いで「斜め十時線」を「斜め十字線」に訂正。
以前は、GUI部品のことをGUIオブジェクトと呼んでいたが、混乱するので、Windowsの『部品』と統一することに方針を決定。

2003/10/20 ver.1.80
部品全てに自動整列をさせる『レイアウト』項目を追加。
『スプリッター』部品を追加。
『ペンスタイル設定』『塗りスタイル設定』命令を追加。
『角丸四角形』『多角形』命令を追加。
部品の項目の取得が失敗する不具合を修正。
/* から始まり、*/ で終わる複数行コメントをサポート。

2003/10/11 ver.1.79a
変数でオブジェクトが参照できない不具合があったので修正。
互換性保持のため『でなければ』を、違えばの代わりに使えるように修正。
マニュアル加筆修正。

2003/10/11 ver.1.79
（エディタ）
メニュー表エディタを2.2にバージョンアップ。
不評だったマウスジェスチャーを廃止。
エディタ実行時に自動的に作られる一時ファイル".bak"をエディタ終了時に削除するオプションを追加。
XPで置換ボックスにBSキーを送ると文字化けする不具合を修正。
（ひまわり）
『もし』構文で、『違えば』の直後に『もし』を置くことができるように改良。
『もし（条件）でなければ』構文で『違えば』を置くことができるように改良。
『タグ切り出し』命令に不具合があったので修正し、ネストするタグを検出し切り出せるようにした。
ハッシュ（辞書）機能の項目に、文字列を指定できるように改良。
トラックの『背景色』(枠の色)を設定できるようにした。
『和暦に変換』で明治元年の設定が間違っていたので修正。明治元年=1868年
メモの『スクロールバー』の向きが取得できない不具合を修正。
『ボタンで選択』で引数を「」にすると閉じられなくなる場合がある不具合を修正。
ついでに最大ボタン個数を５０個まで増やした。
『グリッド』部品で値を読み書きすると行末に空行が増えていく不具合を修正。

2003/09/13 ver.1.78a
ひまわりエディタに簡単なスキン機能を追加。
サンプルを整理、掲示板より新しいプログラムを追加。

2003/08/21 ver.1.78
簡単な内部処理で使っていたワイルドカード関数(EasyMasks)に不具合があったので修正。
タブで空行をセットするとOSの例外でエラーが出るのを回避するように修正。
『\』が全角変換できない不具合を修正。
『表重複項目削除』で引数に-1を指定したら全ての行をキーにして重複行を削除するように修正。
エディタの部品タブのデータ"gui.txt"がちゃんちゃらおかしかったので修正。
カンマ区切りテキストを、タブ区切りテキストに変換する命令を追加。

2003/07/06 ver.1.77
フリーのDelphi6Personalでも完全にコンパイルできるように修正した。
yukさん提供による『逆引きヘルプ』をマニュアルに追加。感謝！
dSakura.dllを使って簡単に演奏が出来る"MML演奏"命令を追加。
プリンタを細かく制御するための『プリンタｘｘｘ』命令群を追加。
『フォルダ拡張選択』命令を追加。
『表完全一致ピックアップ』命令を追加。
ＣＳＶ処理で上下の空白セルを削除する処理に不具合があったのを修正。
エディタの検索ダイアログでキャンセルできないのを修正。
HTTP, POP3, SMTPの命令でプログレスバーが動かない不具合とキャンセルできないのを修正。
ツリーで、ソートされてない複数アイテムを追加した時、正しい場所に追加されない不具合を修正。

2003/05/23 ver.1.76b
ひまわりエディタでメニューに登録したEXEファイルが実行できなかった不具合を修正。
ひまわりエディタでＦ１キーで表示するヘルプの精度を向上させた。
マニュアルで『フォルダ作成』のサンプルを修正。
実験的に"\機能番号"で、ひまわりの機能を呼び出せる機能を追加。

2003/05/23 ver.1.76a
再び『ADO接続』で、オラクルに接続できるようになったが、Accessにアクセスできない不具合を修正。

2003/05/18 ver.1.76
『画像平面回転』命令を追加。
先日修正した『もし』の文字列中で、２バイト文字を考慮しない不具合があるのを修正。

2003/05/13 ver.1.75
『フォント一覧を取得』命令を追加。
再び『ADO接続』でユーザー名とパスワードがうまく使えなかったので修正。
ランタイムなし実行ファイルのリンク先を修正。

2003/04/29 ver.1.74
先日修正した『もし』の文字列中で、\ があるとハングする不具合を修正。
『ADO接続』でユーザー名とパスワードがうまく使えなかったので修正。
『ADO詳細接続』のサンプルを書き直した。

2003/04/25 ver.1.73
「リッチエディタ保存」命令を追加。
データベースの値取得で, NULLの取得時にエラーが出る不具合を修正。
もし文の中に、ならば、違えばなどの文字列があるとエラーになる不具合を修正。

2003/04/20 ver.1.72
データベース(Access, Oracle等)への入出力命令を追加。

2003/03/11 ver.1.71
「HTTPポスト」命令を追加。
「リッチエディタ」部品を追加。
セキュリティレベルを、ランタイムのパスで一元管理出来るようにした。
エディタの自動整形機能・サンプル挿入の不具合修正。
Tエディタ部品を、マウスホイールに対応させた。
セキュリティチェックで、全てはいを選んだときの挙動がおかしかったので改善。

2003/02/21 ver.1.70a
マッチで、検索対象文字に、\ があるとメタ文字として誤認してしまう不具合を修正。
「エクセルCSV形式保存」命令を追加。
ブラウザでコピーが出来ない不具合を修正。
エディタに、書きかけ終了機能を追加。
単語の自動補完機能の細かい挙動を改善。
CSV命令で、表フィールド名=オンの時の挙動を修正。
表条件抽出で、かつ、またはの論理式が使えない不具合を修正。
『メニューパス作成』命令を追加。
以下1.70aの変更
エディタの誤字脱字修正。
サンプルの一覧が正しく表示されるようにヘルプ修正。
エディタの検索でコピペがうまく出来ない不具合修正。
母艦のセンタリングできない不具合修正。

2003/02/16 ver.1.69
ツリー部品でアイテムの順番をソートされずに追加されるように修正。
ツリー部品でアイテムの取得の不具合を修正。
XMLの階層をあらわす区切り記号を、"!"から、ツリー部品と同じ、"\"に変更。
XML、ツリーに関する命令を追加変更。
表フィールド名=オンにしたときの、表平均値がおかしかったので修正。
『FTPファイル名変更』命令を追加。
『オブジェクト丸く』の仕様を変更。
マニュアルでサンプルが書いてなかったものを何とか全部書いた。

2003/02/14 ver.1.68a
『オブジェクト丸く』命令を追加。
本当に簡単なXML入出力命令を追加。
ツリー部品を追加。
ラジオ部品に、イベントが定義してなかったので定義。
条件文で「B または Ｃ」のように書けるようにした。
エディタをちょっと修正。

2003/02/04 ver.1.67
簡易デバッグ用に、?"文字列" でメッセージボックスを表示するマクロを追加。(MSX復活記念)
エディタに対話式実行モードを追加。
アンチエイリアスしないでイメージに文字を描画する「文字表示」命令を追加。
GUI部品の細かい不具合を修正(感謝:SWinXさま)

2003/02/03 ver.1.66c
「単置換」命令の仕様を変更した。
三度マニュアルのリンクを修正。

2003/02/03 ver.1.66a
オブジェクト破壊後に、母艦のアイテムをチェックするとエラーが出る不具合を修正。
マニュアルへのyukさんのサイトへのリンクを修正。
「単置換」命令を追加。

2003/01/31 ver.1.66
ひまわりのページのURLが変わったので若干修正。
サンプルファイル入れ替え。
yukさんの好意でマニュアルからyukさんの解説サイトへのリンクを挿入した。
もろもろエディタとひまわりの小さな不具合を修正。

2003/01/19 ver.1.65c
デバッグダイアログを修正。
ウインドウ色が違っていたので修正。

2003/01/19 ver.1.65b
窓キャプチャーの範囲がおかしかったので修正。
ウインドウ色などを、WindowsAPIから取得するように修正。
スクロール部品に、背景色を追加。
GUI部品の種類が調べられるように、「種類」項目を追加。
デバッグダイアログを改良。

2003/01/12 ver.1.65a
タブページの標準のイベントが未定義だったので定義。
タブページにテキスト項目を追加。タブページの追加、タイトルの変更を出来るように。
パネル、フォーム、スクロール、タブページのアイテム項目で、部品の親を設定できるようにした。

2003/01/09 ver.1.65
メール送信で、BCC,CCが設定できない不具合を修正。
『タブページ』『スクロール』の２つの部品を追加。
『ブラウザ進む』『ブラウザ戻る』命令を追加。

2002/12/04 ver.1.64a
TCP/IPの修正時に混じったニアミスを修正。

2002/12/04 ver.1.64
異幅イメージを綺麗にリサイズする stretchf.pas がバージョンアップしたので対応。
エディタの部品タブで、読み取り専用かどうか分かるように、改良。
「INIファイル読む」「INIファイル書く」に、引数を追加。

2002/12/01 ver.1.63
ひまわりのメール関連の実装を、Indy9に差し替えた。(これでDelphi7でもコンパイルが通る)
パネルの背景色を設定できるようにした。
グリッド、リスト、コンボに、設定項目の『ソート』を追加した。
エディタのマニュアル検索を修正。

2002/11/23 ver.1.62
エディタのコメントの色を詳細設定のコメントの色に合わせた。
エディタの引数の補完機能機能で、既に引数が書いてあるときは、引数を省略するようにした。
グリッド、メモ、Tエディタで、「行」「列」の設定項目を追加。
グリッドで、ヘッダをクリックするとソートするようにした。

2002/11/02 ver.1.61
エディタのマニュアル検索機能を強化。
子フォームでクリック等イベントが発生しない不具合を修正。
『自己解凍書庫作成』命令が上書きできなかったので、上書きするように改良。
『起動』『起動して終了まで待機』命令で『.hmw』ファイルを起動すると、母艦のパスが「」になってしまう不具合を修正。
『バイナリ取得』の『CHAR*』型の取得がうまくいかなかったので修正。

2002/10/22 ver.1.60
『バイナリ取得』命令で、"char*"型の取得で、文字列以外の値も取得できるように修正。
『圧縮』『解凍』『自己解凍書庫作成』命令も、セキュリティ保護の対象とした。
『FTPファイル情報』命令を追加。
『FTPファイル削除』命令がおかしかったのを修正。
『もし』文で、『ならば』と『違えば』の間に、2行以上改行があると違えばを認識しない不具合を修正。
『注目』で、変数にある部品を特定できない不具合を修正。
ラベルの登録で稀に発生する不具合を修正。
エディタがバージョンダウンしてたので、1.60aにて修正。

2002/10/12 ver.1.59
"命令(文字型引数)"で展開に失敗する不具合を修正。
DLLを利用で宣言した関数が、"変数 = DLL関数"の形式で使えない不具合を修正。
直ってなかった『前後の空白削除』命令で全角スペースがトリムできない不具合を修正。
エディタの操作に、簡単なマウスジェスチャーを導入。

2002/10/04 ver.1.58a
『ラジオの、テキスト』がうまく設定できない不具合を修正。
『前後の空白削除』命令で全角スペースがトリムできない不具合を修正。

2002/10/04 ver.1.58
タグ切り出しで、IMGタグなど、閉じタグがないものが切り出せない不具合を修正。
『解凍』コマンドのエラーをトラップできるように修正。
『FTP接続』で、２回目に実行すると失敗する不具合を修正。
『FTPファイル列挙』で、指定ファイルが存在しないときに起こるエラーを出ないようにした。
内部で使用しているグラフィックライブラリ『TABitmap』をバージョンアップした。
『言う』のダイアログを、ESCキーで閉じられるようにした。
『MIDB』命令を追加。
『レジストリサブキー取得』命令を追加。
ラジオ部品を追加。

2002/09/12 ver.1.57
エディタのタブの表示非表示が手軽に切り替えられるように改良した。
単語の保管機能を、一般的なショートカット[Ctrl+Space]に変更した。
エディタをダブルクリックしたとき、タブでインデントしていると、タブも選択してしまう不具合を修正。
『レジストリのバイナリを読む』でバイナリサイズが指定と異なっていても自動的にサイズを取得して読めるように修正。
『ハンドルへ一行書く』で、変数を使わない書き込みがうまくいってなかったので修正。
『ハンドル閉じる』で、ハンドル変数が開放されず、再度開いたときエラーになる不具合を修正。
ループの途中において『条件分岐』中で、『抜ける』『続ける』命令が効かない不具合を修正。

2002/08/08 ver.1.56
文字列中で、行頭に『＊』があると、ラベル定義と誤認してしまう不具合を修正。
『ＦＴＰダウンロード』で誤ってアップロードしてしまう不具合を修正。
ひまわりをインストールしたフォルダを移動するとツール情報が読み込まれない不具合修正。

2002/07/21 ver.1.55a
ボタンでイベントが発生しないという致命的な不具合発覚したので修正。

2002/07/21 ver.1.55
ボタンの、画像が、無効になっていたのを修正。ただし、ボタンに画像を
設定すると、XPのビジュアルスタイルには、対応しない。
ボタンの、フォント色も同様。

2002/07/18 ver.1.54
簡単にオブジェクトを作成する、『作る』命令を追加。
クリップボードへ、文字列をコピーする、『コピー』命令を追加。
部品のいくつかを、XPのビジュアルスタイルに、対応させた。
それに伴って、ボタンに画像が設定出来なくなった。
"\\"から始まるネットワーク上のファイルを削除できない不具合を修正。

2002/07/15 ver.1.53
FTPのアップロード、ダウンロード命令の動作を一部改良。
パラメーターで、『FTP接続方式』に、PASVを指定できるようにした。
『FTP親フォルダ移動』命令を追加。
メール送信で、CC、BCCに値を設定しても、無効になっていたのを修正。
『Tエディタ設定を読込』で設定ファイルがなかったときは、設定を標準に戻すように修正。
CSVの"に対する処理がエクセルと違ったので、エクセルと同じに修正。

2002/07/11 ver.1.52
FTP関連のコマンドを、Indyコンポーネントに差し替え。
『FTPファイル属性変更』命令を追加。
ひまわりのエディタから設定したセキュリティがうまく機能しない不具合を修正。

2002/06/29 ver.1.51
メモなどの部品の値を『反復』できるように改良。
『反復』命令の挙動を変更。CSV形式を認識すると不便なことが多かったので、
従来どおり、一行ごとに処理するようにした。
CSVで、""""のような、"のみのデータがうまく読み込めない不具合を修正。
セキュリティの設定方法を変更。

2002/05/23 ver.1.50
『反復』命令の挙動を改善、CSV形式を認識し、一行ずつ実行するようにした。
辞書（ハッシュ）で、反復するとき、以前は、値を返していたが、キーを返すように仕様変更。
『もし』などの構文の文末で、『命令(引数)』命令を使ったとき、エラーが出る不具合を修正。
『続ける』の不具合を修正。
Win9x系OSで、コンボ部品で起こる文字化けを修正。

2002/05/17 ver.1.49b
『前後の空白削除』で、" "が、トリム出来ない不具合修正。
ループの条件判断で、全角文字が使えない不具合を修正。
マニュアルを修正。
タスクトレイにいるときにアイコンを変えたら、タスクトレイのアイコンも変更するようにした。
『アイコン抽出』命令を追加。
未対応だった２５６色アイコンの保存に対応。
『英数半角変換』命令で、英語小文字が大文字になってしまう仕様を修正。
『半角変換』『全角変換』の不具合を修正。
クリップボードに、『開く』の不具合を修正。
『表ピックアップ』で、全データからのピックアップでワイルドカードが利かない不具合を修正。
配列変数で、『（配列変数）』の形式で、値が二重展開される不具合を修正。

2002/05/14 ver.1.48
他言語の"WHILE"に相当する、『ループ』命令を、追加。
エディタの使い勝手を向上させた。
バイナリ操作のための、『バイナリ設定』『バイナリ取得』命令を追加。
『レジストリバイナリを読む』『レジストリバイナリを書く』命令を追加。
『反復』命令の文法チェックを強化。
ファイルハンドル関係の命令を追加。
カラーコードの取得に、『CMYK』命令を追加。
禁則処理を備えた『行揃え』命令を追加。『タブ文字の個数』変数を追加。
正規表現の結果を『マッチ数』で得られるようにした。
「起動」命令の不具合を修正。
『名義変更』命令の不具合を修正。
『待つ』命令の不具合を修正。
『Tエディタ』部品の初期状態で、スクロールバーをつけた。設定項目省略時の代入に対応。
『右端削除』『左端削除』の、引数の仕様を変更。
二次元配列(CSV)で、テキストに書き戻すときに、行ごとに列数が一定になるように修正。
バーの項目省略値が、正しくセットされない不具合を修正。

2002/05/03 ver.1.47
ひまわりエディタの、検索タブで結果をクリックしてもエディタがスクロールしない不具合を修正。
マクロタブで、ファイルドロップで、新規マクロの登録が出来るように改良。
toolsフォルダのマクロを一新した。
稀に、母艦の、背景色の設定で、エラーが出る不具合を修正。
オブジェクト作成時の『○○ボタン』のテキストが、『○○』に自動的に設定されるのを、
『ラベル』『チェック』『フォーム』にも採用。
最近の更新で、画面のちらつきが激しくなって困っていたのだが、ようやく解決した。
描画速度向上のため、フォームの自動スクロールを停止した。
収録サンプルを一新した。

2002/05/02 ver.1.46
ファイルサイズが０のファイルを、『読む』とエラーが出る不具合を修正。
メールの受信で、サーバーからメールを削除するかどうか決定する『メールサーバーから削除』変数を導入。
『暗号化して保存』『暗号解除して読込』の引数を互換性を保ちつつ変更。
デバッグダイアログで、辞書（ハッシュ）形式の変数が表示されない不具合を修正。
『(引数、引数)、命令。』が、『引数、引数命令』と、誤って解釈される不具合を修正。
『(オブジェクトの,項目)』で、区切り文字が、『 』(スペース)の時エラーが出る不具合を修正。
配列の要素に、改行が含まれていると、配列が壊れる不具合を修正。
エディタの単語補完ダイアログの挙動を改良。
エディタのマクロタブ、クリップボードタブの改良。
エディタのラベルタブを廃止し、検索タブを新設した。

doc\history_log.txt に続く...

2002/04/12 ver.1.40
関数を実装。『関数定義』命令を追加。
複数フォームの作成が出来るようにした。

2002/04/02 ver.1.36
『※』または『//』と書くと、行末までをコメントにするように仕様を追加。
計算式で『≧』『≦』『≠』が使えるようにした。
開発環境を、Delphi6に移行。

2002/03/23 ver.1.34
『DLLを利用』命令を追加。引数の個数、返却値型の制限なしに、ポインタ型(char*)、整数型(int,DWORD,WORD)、論理型(BOOL)の、外部DLLを利用できる。

2002/01/05 ver.1.10
１つ目の引数を引数を省略すると、『それ』が、自動的に補完される仕様を追加。
各命令について、送り仮名を省略して書いても良いように仕様を変更。
それに伴い、一部命令を削除し、送り仮名が曖昧だった命令（『半角変換』『英数半角変換』『全角変換』『大文字変換』『小文字変換』『ひらがな変換』『カタカナ変換』『画像ボカシ』）を、改名した。
『開く』『保存』『追加保存』へ引数の追加の為、仕様変更。

（重要な更新）
2002/01/01 ver.1.00
ついに、ひまわりの正式バージョンリリース。

2001/08/03 ver.0.100β
とりあえず、動くようになった。